Bug 435229 - printing html page absurdly slow, produces huge garbage output
printing html page absurdly slow, produces huge garbage output
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-27 22:28 EST by Jonathan Kamens
Modified: 2008-06-17 13:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-17 13:55:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ZIP containing HTML file and associated images to demonstrate printing problem (84.96 KB, application/zip)
2008-02-27 22:28 EST, Jonathan Kamens
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 439656 None None None Never

  None (edit)
Description Jonathan Kamens 2008-02-27 22:28:35 EST
Unzip the attached firefox-slow-printing.zip, which happens to be an Equifax
credit report with all of the data obfuscated with garbage characters, and open
obfuscated.html in firefox.  Select File > Print... and tell it you want to
print to a file.  Here are the problems you will now notice:

* It takes an absurdly long time, like over five minutes, to print the file.
* The resulting output file is over 8MB, which is absurdly huge.
* The resulting file is garbage -- all of the tables are drawn wrong, with
overlapping text all over the place.
* The print status pop-up stays on the screen forever until you mouse over it
(or perhaps just give the firefox window focus or something, not sure exactly,
but it certainly doesn't go away on its own if you aren't focused on the firefox
window, which it should).

I encountered all these problems with
firefox-3.0-0.beta3.28.nightly20080226.fc9.i386.  In contrast, with
seamonkey-1.1.8-4.fc9.i386, it takes like 15 seconds to print, the resulting
output file is less than 2MB, the printout is correct, and the print status
pop-up goes away when printing is completed.
Comment 1 Jonathan Kamens 2008-02-27 22:28:35 EST
Created attachment 296152 [details]
ZIP containing HTML file and associated images to demonstrate printing problem
Comment 2 Bug Zapper 2008-05-14 01:40:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Tomislav Vujec 2008-05-15 02:04:36 EDT
Same problem here with Fedora 9 gold version - firefox-3.0-0.60.beta5.fc9.i386.
Comment 4 Tomislav Vujec 2008-05-15 02:23:03 EDT
Here's one example:
Even if I completely remove the styling, it still produces 5MB PDF after 2
minutes of printing. I tried simplifying the HTML further, but then I figured
that I don't know anything about the actual printing code, and what would
possibly affect this behaviour. If you reduce the HTML to 1 paragraph, it works
fine, even if you repeat that same paragraph 50 times, the end PDF stays under 50K.
Comment 5 Matěj Cepl 2008-06-17 12:25:44 EDT
I am not sure what to think about this. Yes, I can fully reproduce this -- when
I print HTML in the attached zip file, it takes two minutes and PDF has 4,4MB.
However, I am not that totally persuaded that it is not just the correct result
of producing badly designed HTML on the Equifax page. Moreover, I am not sure
whether it is problem of our Firefox (with new cairo etc.) or whether it is a
problem of whole firefox (in which case it would be better to push this bug
upstream). Will investigate.
Comment 6 Matěj Cepl 2008-06-17 13:55:05 EDT
I have filed this bug in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=439656) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.